Skip to main content
Get Published Udef Field Info

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

progidOrLabel
string
required

The udef field id, case-sensitive prog-id, or field label.

Response

DocumentEntity found.

Return information about the user defined fields. The information can be used to mirror the layout of the user-defined fields in the user interface. Carrier object for UserDefinedFieldInfo. Services for the UserDefinedFieldInfo Carrier is available from the UserDefinedFieldInfo Agent.

UDefFieldId
integer<int32>

Primary key

ColumnId
integer<int32>

The ID of the database column this field corresponds to

FieldDefault
string

Optional default value for String fields

FieldHeight
integer<int32>

field height in pixels, 0 = 'enough' (from font)

FieldLabel
string

The label (lead text)

FieldLeft
integer<int32>

X pixel coordinate of field

FieldTop
integer<int32>

Y pixel coordinate of field

FieldType
enum<string>

Field type: 0 = leadtext only, 1 = Edit, 2 = CheckBox, 3 = dropdown, 4 = listbox

Available options:
Number,
ShortText,
LongText,
Date,
UnlimitedDate,
Checkbox,
List,
Decimal
FieldWidth
integer<int32>

field width in pixels, 0 = 'enough' (from font)

FormatMask
string

Formatting mask, can be whatever the controls understand (currently nothing :-))

HideLabel
boolean

Hide the label if 1

IsIndexed
boolean

Is this field indexed? 0 if no, index no. if yes

LabelHeight
integer<int32>

label height in pixels, 0 = 'enough' (from font)

LabelLeft
integer<int32>

X pixel coordinate of label

LabelTop
integer<int32>

Y pixel coordinate of label

LabelWidth
integer<int32>

label width in pixels, 0 = 'enough' (from font)

LastVersionId
integer<int32>

UDefFieldId this field had in the previous version, 0 = field is new in this version

ListTableId
integer<int32>

The table ID of the source table for lists: kTableAssoc, kTableContInt or whatever

IsMandatory
boolean

0 = no, 1 = yes (field must be filled out)

Type
enum<string>

ID of owning table (contact, person, project) - this is not the actual tableNumber, rather it's an enum

Available options:
Invalid,
Contact,
Person,
Project,
Sale,
Temp,
Appointment,
Document,
None
Page1LineNo
integer<int32>

Line no on View Page 1, used if MDO flags are OFF. 0 = this field is not visible on page 1

ProgId
string

Programmatic ID, for use by software that needs to find a particular field. Carried over like udefIdentity across generations. Use a Company.Product.Field format to avoid naming conflicts; the Company name SuperOffice is reserved.

IsReadOnly
boolean

0 = read/write, 1 = readonly (don't combine with mandatory 8-) )

ShortLabel
string

Short name to be used in Archive headings and on page 1. If blank, the fieldLabel will be used everywhere.

TabOrder
integer<int32>

Tab order value, sets the field processing sequence

TextLength
integer<int32>

Length (in characters) of a text field, 0 for other types

Tooltip
string

Optional tooltip text for this field

UdefIdentity
integer<int32>

Unique number used to track field identity across layout changes

UDListDefinitionId
integer<int32>

List to use for populating dropdown or listbox

Justification
enum<string>

Justification - 0 = default, left, right, center

Available options:
Default,
Left,
Center,
Right
Version
integer<int32>

Definition version number; ALL fields get new version whenever layout is updated.

TemplateVariableName
string

Template variable name

HasBeenPublished
boolean

Has the udef field been published?

MdoListName
string

MDO list name used to populate this list. Derived from UDListDefinitionId and ListTableId. (Read-only)

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.